You are viewing a non-production environment — the API surface may differ from production.
Booking API

Table Groups

Table grouping and floor plans

GET
/api/v1/table-groups

Authorization

ApiKeyAuth
X-API-Key<token>

API key authentication. Format: karma_live_* or karma_dev_*

In: header

Query Parameters

locationId?number

Filter by location ID

search?string

Search by name or description

sort?string

Sort field (name, created_at)

Default"name"
order?string

Sort order

Default"asc"

Value in

  • "asc"
  • "desc"
page?number

Page number

Range1 <= value
Default1
limit?number

Items per page

Range1 <= value <= 100
Default20

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/v1/table-groups"
{  "status": "success",  "data": {    "tableGroups": [      {        "id": 0,        "name": "string",        "description": "string",        "locationId": 0,        "tableIds": [          "0f15e971-bb89-4712-9d06-bc444ed39ebe"        ],        "createdAt": "2019-08-24T14:15:22Z",        "updatedAt": "2019-08-24T14:15:22Z"      }    ],    "pagination": {      "page": 1,      "limit": 1,      "total": 0,      "totalPages": 0    }  },  "meta": {    "requestId": "string",    "timestamp": "2019-08-24T14:15:22Z",    "executionTimeMs": 0  }}
POST
/api/v1/table-groups

Authorization

ApiKeyAuth
X-API-Key<token>

API key authentication. Format: karma_live_* or karma_dev_*

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

locationId*number

Location ID

name*string

Group name

Length1 <= length
description?string

Group description

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/v1/table-groups" \  -H "Content-Type: application/json" \  -d '{    "locationId": 0,    "name": "string"  }'
{  "status": "success",  "data": {    "id": 0,    "name": "string",    "description": "string",    "locationId": 0,    "tableIds": [      "0f15e971-bb89-4712-9d06-bc444ed39ebe"    ],    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z"  },  "meta": {    "requestId": "string",    "timestamp": "2019-08-24T14:15:22Z",    "executionTimeMs": 0  }}
GET
/api/v1/table-groups/{id}

Authorization

ApiKeyAuth
X-API-Key<token>

API key authentication. Format: karma_live_* or karma_dev_*

In: header

Path Parameters

id*string

Table group ID

Match^[0-9]+$

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/v1/table-groups/string"
{  "status": "success",  "data": {    "id": 0,    "name": "string",    "description": "string",    "locationId": 0,    "tableIds": [      "0f15e971-bb89-4712-9d06-bc444ed39ebe"    ],    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z"  },  "meta": {    "requestId": "string",    "timestamp": "2019-08-24T14:15:22Z",    "executionTimeMs": 0  }}
DELETE
/api/v1/table-groups/{id}

Authorization

ApiKeyAuth
X-API-Key<token>

API key authentication. Format: karma_live_* or karma_dev_*

In: header

Path Parameters

id*string

Table group ID

Match^[0-9]+$

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X DELETE "https://example.com/api/v1/table-groups/string"
{  "status": "success",  "data": {    "deleted": true  },  "meta": {    "requestId": "string",    "timestamp": "2019-08-24T14:15:22Z",    "executionTimeMs": 0  }}
PUT
/api/v1/table-groups/{id}

Authorization

ApiKeyAuth
X-API-Key<token>

API key authentication. Format: karma_live_* or karma_dev_*

In: header

Path Parameters

id*string

Table group ID

Match^[0-9]+$

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

name?string
Length1 <= length
description?string|null

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PUT "https://example.com/api/v1/table-groups/string" \  -H "Content-Type: application/json" \  -d '{}'
{  "status": "success",  "data": {    "id": 0,    "name": "string",    "description": "string",    "locationId": 0,    "tableIds": [      "0f15e971-bb89-4712-9d06-bc444ed39ebe"    ],    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z"  },  "meta": {    "requestId": "string",    "timestamp": "2019-08-24T14:15:22Z",    "executionTimeMs": 0  }}